# Original spec file from Dag Wieers and Freshrpms.

Summary: Postfix Greylisting Policy Server
Name: postgrey
Version: 1.34
Release: 1%{?dist}
License: GPLv2
Group: System Environment/Daemons
URL: http://postgrey.schweikert.ch/
Source0: http://isg.ee.ethz.ch/tools/postgrey/pub/postgrey-%{version}.tar.gz
Source1: postgrey.init
Source2: postgrey.sysconfig
Patch0: postgrey-1.32-group.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: postfix
Requires: perl(IO::Multiplex)
Requires(pre): /usr/sbin/useradd
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service
BuildArch: noarch

%description
Postgrey is a Postfix policy server implementing greylisting.  When a request
for delivery of a mail is received by Postfix via SMTP, the triplet CLIENT_IP /
SENDER / RECIPIENT is built.  If it is the first time that this triplet is
seen, or if the triplet was first seen less than 5 minutes, then the mail gets
rejected with a temporary error. Hopefully spammers or viruses will not try
again later, as it is however required per RFC.

%prep
%setup
%patch0 -p1 -b .group

%build
# We only have perl scripts, so just "build" the man page
pod2man \
    --center="Postgrey Policy Server for Postfix" \
    --section="8" \
    postgrey > postgrey.8

%install
%{__rm} -rf %{buildroot}

# Configuration files
%{__mkdir_p} %{buildroot}%{_sysconfdir}/postfix
%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -p -m 0644 postgrey_whitelist_{clients,recipients} %{buildroot}%{_sysconfdir}/postfix/
%{__install} -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/postgrey

touch %{buildroot}%{_sysconfdir}/postfix/postgrey_whitelist_clients.local

# Main script
%{__install} -D -p -m 0755 postgrey %{buildroot}%{_sbindir}/postgrey

# Spool directory
%{__mkdir_p} %{buildroot}%{_var}/spool/postfix/postgrey

# Init script
%{__install} -D -p -m 0755 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/rc.d/init.d/postgrey

# Man page
%{__install} -D -p -m 0644 postgrey.8 \
    %{buildroot}%{_mandir}/man8/postgrey.8

# Optional report script
%{__install} -D -p -m 0755 contrib/postgreyreport \
    %{buildroot}%{_sbindir}/postgreyreport

%clean
%{__rm} -rf %{buildroot}

%pre
/usr/sbin/useradd -d %{_var}/spool/postfix/postgrey -s /sbin/nologin -M -r postgrey &>/dev/null || :

%post
/sbin/chkconfig --add postgrey

%preun
if [ $1 -eq 0 ]; then
    /sbin/service postgrey stop &>/dev/null || :
    /sbin/chkconfig --del postgrey
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service postgrey condrestart &>/dev/null || :
fi

%files
%defattr(-, root, root)
%doc Changes COPYING README
%{_sysconfdir}/rc.d/init.d/postgrey
%config(noreplace) %{_sysconfdir}/postfix/postgrey_whitelist_clients
%config(noreplace) %{_sysconfdir}/postfix/postgrey_whitelist_recipients
%config(noreplace) %{_sysconfdir}/postfix/postgrey_whitelist_clients.local
%config(noreplace) %{_sysconfdir}/sysconfig/postgrey
%{_sbindir}/postgrey
%{_sbindir}/postgreyreport
%{_mandir}/man8/postgrey.8*
%dir %attr(0751, postgrey, postfix) %{_var}/spool/postfix/postgrey/


%changelog
* Thu Oct 27 2011 ClearFoundation <info@clearfoundation.com> - 1.33-2.1
- Added pid file support: /var/run/postgrey.pid

* Wed Mar  2 2011 ClearFoundation <info@clearfoundation.com> - 1.33-1
- Imported into build system
